Subject: bug#20697: 25.0.50; Mention `M-x report-emacs-bug' on splash screen

From: Stefan Kangas <[email-masked]>
Date: Fri, 13 Sep 2019 21:39:40 +0200

Drew Adams <[email-masked]> writes:

> > > So this basically adds another line and links directly to the Bugs
> > info
> > > page.  Hm.  Would it be possible to instead just change the line
> > >
> > > Contributing    How to contribute improvements to Emacs
> > >
> > > to something like the following?  That link already links to the bug
> > > reporting page...
> > >
> > > Contributing    How to report bugs and contribute improvements
> >
> > I had missed that, but you're absolutely correct and I agree that its
> > a better solution.
>
> I saw that "How to contribute..." but I thought/think
> its destination is to the doc section about contributing.
>
> If so, that's not quite the same thing.
>
> It would be OK to have a single link that points to
> something that covered both (1) `report-emacs-bug',
> mentioning that that's also for enhancement requests,
> and (2) how to contribute in a deeper way: GIT, patches
> etc.

(info "(emacs) Contributing") already says on the top of the page:

   There are many ways to contribute to Emacs:

   • find and report bugs; *Note Bugs::.

So I think this is already a good landing page for both bugs and contributions.

> [Mentioning also enhancement requests was my input
> for this bug thread.]

Do you have any ideas for how to better emphasize enhancement
requests?  Should it be a separate bullet point on the "Contribute"
page perhaps?

> But in that case, the more lightweight feedback, #1,
> should be separated and up front, so users wanting
> to report a bug or suggest an enhancement need not
> find themselves immediately in the depths of how to
> contribute in a deeper way.

I think that it's fine that users can click the link on the top of the
page to reach (info "(emacs) Bugs").  It's separate enough, and early
enough, that users can easily click on it and ignore the rest of the
page, in my opinion.

> We want (IMO) to encourage lots of users to provide
> relatively easy feedback, beyond also wanting some
> users to get more deeply involved.  We don't want
> people to get the impression that lightweight
> suggestions are not possible or encouraged, and that
> a heavy commitment is the only encouraged participation.

I absolutely agree.

Best regards,
Stefan Kangas